# encoding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'git_hook-pre_receive/version'

Gem::Specification.new do |spec|
  spec.name          = 'git_hook-pre_receive'
  spec.version       = Git::VERSION
  spec.authors       = ['Dennis Günnewig']
  spec.email         = ['dg1@vrnetze.de']
  spec.summary       = %q{pre-receive hook helper for git}
  spec.description   = %q{Provides parser to implement a pre-receive hook for git.}
  spec.homepage      = 'https://github.com/dg-vrnetze/git_hook-pre_receive'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
end
